Bug 1957982 - Deployment Actions clickable for view-only projects
Summary: Deployment Actions clickable for view-only projects
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Rohit Rai
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-06 21:53 UTC by Parag
Modified: 2021-07-27 23:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:07:23 UTC
Target Upstream Version:


Attachments (Terms of Use)
user with view access (125.13 KB, image/png)
2021-05-10 14:59 UTC, Jaivardhan Kumar
no flags Details
user with edit access (132.26 KB, image/png)
2021-05-10 15:01 UTC, Jaivardhan Kumar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9018 0 None open Bug 1957982: Make disabled action items not clickable and focusable 2021-05-24 15:43:10 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:07:35 UTC

Description Parag 2021-05-06 21:53:07 UTC
Description of problem:

When a developer accesses Deployment panel in Admin perspective for a project with view-only access, the Actions menu is still available for clicking but nothing happens.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Setup an application in a project with a deployment.
2. Assign view-only access to the project to some username.
3. Log in as that username, navigate to "Deployment" panel in Admin perspective.
4. Click on "Actions" pull-down menu and click on any Action.

Actual results:

Action is clickable and gets highlighted, but nothing happens.

Expected results:

Actions menu is not available for deployments in view-only projects.

Additional info:

Comment 1 Jaivardhan Kumar 2021-05-10 14:58:46 UTC
(In reply to Parag from comment #0)
> Description of problem:
> 
> When a developer accesses Deployment panel in Admin perspective for a
> project with view-only access, the Actions menu is still available for
> clicking but nothing happens.
> 
> Version-Release number of selected component (if applicable):
> 
> 
> How reproducible:
> 
> Always
> 
> Steps to Reproduce:
> 1. Setup an application in a project with a deployment.
> 2. Assign view-only access to the project to some username.
> 3. Log in as that username, navigate to "Deployment" panel in Admin
> perspective.
> 4. Click on "Actions" pull-down menu and click on any Action.
> 
> Actual results:
> 
> Action is clickable and gets highlighted, but nothing happens.
> 
> Expected results:
> 
> Actions menu is not available for deployments in view-only projects.
> 
> Additional info:

Hi @pdave, have followed the steps as mentioned, and currently action menus are disabled based on the design for the user with view-only access and thus it's shown but not clickable. Have attached a screenshot for both with view access and edit access.

Comment 2 Jaivardhan Kumar 2021-05-10 14:59:46 UTC
Created attachment 1781740 [details]
user with view access

Comment 3 Jaivardhan Kumar 2021-05-10 15:01:50 UTC
Created attachment 1781741 [details]
user with edit access

Comment 4 Parag 2021-05-10 18:05:41 UTC
Thanks, Jai! Yes, the actions are disabled but I can click on them (a blue border shows up around the clicked item, and in some cases, it takes a while for the UI to be responsive again.) Ideally, the whole menu should not be visible, even though it is disabled. Or maybe gray-out the Actions that are not allowed. Thanks!

Comment 5 cvogt 2021-05-13 15:15:22 UTC
A disabled action should not be clickable and also not focusable. We should leave the discussion as to whether or not the disable action is present to another bug fix as there are some discussions going on related to this. It's a bit trickier because we want to avoid flickering and delays in the UI while some actions require async permissions and other checks to determine if they should be enabled or not.

Comment 7 Debsmita Santra 2021-06-02 14:50:47 UTC
verified on 4.8.0-0.nightly-2021-06-02-025513

Comment 10 errata-xmlrpc 2021-07-27 23:07:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.